operator--
Prev | Chapter 13. Db_vector_iterator | Next

## operator--

### Function Details

    self& operator--()

Pre-decrement.

#### Return Value

This iterator after decremented.

#### See Also

db_vector_base_iterator::operator--()

    self operator--(int)

Post-decrement.

#### Return Value

A new iterator not decremented.

#### See Also

db_vector_base_iterator::operator--(int)

### Group: Iterator movement operators.

These functions have identical behaviors and semantics as those of db_vector_base_iterator , so please refer to equivalent in that class.

### Class

db_vector_iterator

Prev | Up | Next
operator++ | Home | operator=